%define lib_name_orig %mklibname kdeaccessibility
%define lib_major 1
%define lib_name %lib_name_orig%lib_major

%define lib_name_orig_kttsd %mklibname kttsd
%define lib_major_kttsd 0
%define lib_name_kttsd %lib_name_orig_kttsd%lib_major_kttsd

Name:		kdeaccessibility
Version:        3.5.10
Release:        %mkrel 1
Epoch:		1
Group:		Graphical desktop/KDE
Summary:	K Desktop Environment - Accessibility program
URL:            http://www.kde.org
Source:         ftp://ftp.kde.org/pub/kde/stable/%version/src/%name-%version.tar.bz2
BuildRoot:	%_tmppath/%name-%version-%release-root
License:	GPL
BuildRequires:  X11-devel
BuildRequires:  kdelibs-devel >= 3.4
BuildRequires:  qt3-devel
BuildRequires:  automake1.7
BuildRequires:  autoconf2.5
BuildRequires:	akode-devel
Obsoletes:	kmag < %epoch:%version
Provides:	kde3-kmag = %epoch:%version

%description
KDE Accessibility Aids:
- kmag, a screen magnifier,
- kmousetool, a program for people whom it hurts to click the mouse
- KMouth, a program that allows people who have lost their voice to let 
  their computer speak for them.

%post
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%update_menus
%update_icon_cache hicolor
%endif

%postun
%if %mdkversion < 200900
/sbin/ldconfig
%endif
%if %mdkversion < 200900
%clean_menus
%clean_icon_cache hicolor
%endif

%files 
%defattr(-,root,root)
%_kde3_bindir/kmag
%_kde3_bindir/kmousetool
%_kde3_bindir/kmouth
%_kde3_libdir/kde3/kbstate_*
%dir %_kde3_datadir/apps/kbstateapplet/
%_kde3_datadir/apps/kbstateapplet/*
%_kde3_datadir/apps/kicker/applets/kbstateapplet.desktop
%_kde3_datadir/applnk/Applications/kmag.desktop
%_kde3_datadir/applnk/Applications/kmousetool.desktop
%_kde3_datadir/applnk/Applications/kmouth.desktop
%_kde3_datadir/applications/kde/kmag.desktop
%_kde3_datadir/applications/kde/kmousetool.desktop
%_kde3_datadir/applications/kde/kmouth.desktop
%dir %_kde3_datadir/apps/kmag/
%_kde3_datadir/apps/kmag/*
%dir %_kde3_datadir/apps/kmousetool/
%_kde3_datadir/apps/kmousetool/*
%dir %_kde3_datadir/apps/kmouth/
%_kde3_datadir/apps/kmouth/*


%doc %_kde3_docdir/HTML/en/kmag
%doc %_kde3_docdir/HTML/en/kmousetool
%doc %_kde3_docdir/HTML/en/kmouth
%_kde3_iconsdir/*/*/apps/*.png
%dir %_kde3_datadir/icons/mono
%_kde3_datadir/icons/mono/*

# To be moved for config package
%_kde3_datadir/config/kmouthrc

#--------------------------------------------------------------------

%package kttsd
Group:      Development/KDE and Qt
Summary:    KDE Text-to-Speech
Obsoletes:	kttsd <= 0.3.0
Provides:	kttsd3 >= %epoch:3.4.0
Provides:       kde3-kttsd >= %epoch:3.4.0
Requires:	%{lib_name}-kttsd = %epoch:%version-%release
Obsoletes:  %name-kttsd-gstreamer

%description kttsd
KTTS -- KDE Text-to-Speech -- is a subsystem within the KDE desktop for 
conversion of text to audible speech. KTTS is currently under development 
and aims to become the standard subsystem for all KDE applications 
to provide speech output.
User Features:
 _ Speak any text from the KDE clipboard.
 _ Speak any plain text file.
 _ Speak all or any portion of a text file from Kate.
 _ Speak all or any portion of an HTML page from Konqueror.
 _ Use as the speech backend for KMouth and KSayIt.
 _ Speak KDE notifications (KNotify).
 _ Long text is parsed into sentences. User may backup by sentence or 
	paragraph, replay, pause, and stop playing.

%if %mdkversion < 200900
%post kttsd
%{update_menus}
%endif

%if %mdkversion < 200900
%postun kttsd
%{clean_menus}
%endif

%files kttsd
%defattr(-,root,root,0755)
%_kde3_bindir/ksayit
%_kde3_bindir/kttsd
%_kde3_bindir/kttsmgr
%_kde3_datadir/applications/kde/ksayit.desktop
%_kde3_datadir/services/ktexteditor_kttsd.desktop
%_kde3_datadir/services/kttsjobmgr.desktop
%_kde3_datadir/services/kttsd*
%_kde3_datadir/servicetypes/*.desktop
%_kde3_datadir/applications/kde/kcmkttsd.desktop
%_kde3_datadir/applications/kde/kttsmgr.desktop
%dir %_kde3_datadir/apps/ksayit
%_kde3_datadir/apps/ksayit/*
%dir %_kde3_datadir/apps/kttsd
%_kde3_datadir/apps/kttsd/*
%dir %_kde3_datadir/apps/ktexteditor_kttsd
%_kde3_datadir/apps/ktexteditor_kttsd/*
%_kde3_iconsdir/*/*/actions/*
%doc %_kde3_docdir/HTML/en/kttsd

#--------------------------------------------------------------------

%package -n %name-kttsd-akode
Group:      Development/KDE and Qt
Summary:    Akode plugins
Requires:   %name-kttsd >= %epoch:%version-%release
Obsoletes:   %{lib_name}-kttsd-akode

%description -n %name-kttsd-akode
Plugins for akode

%files -n %name-kttsd-akode
%defattr(-,root,root)
%_kde3_datadir/services/*akodeplugin.desktop
%_kde3_libdir/kde3/*akodeplugin.la
%_kde3_libdir/kde3/*akodeplugin.so

#--------------------------------------------------------------------

%package -n	%{lib_name}-kttsd
Group:		Development/KDE and Qt
Summary:	Library files for Kttsd
Obsoletes:  %{lib_name_kttsd} <= 0.3.0
Provides:   %{lib_name_kttsd} >= %epoch:3.4.0

%description -n	%{lib_name}-kttsd
Libraries file for Ktts

%if %mdkversion < 200900
%post -n %lib_name-kttsd -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %lib_name-kttsd -p /sbin/ldconfig
%endif

%files -n %lib_name-kttsd
%defattr(-,root,root)
%_kde3_libdir/kde3/kcm_kttsd.*
%_kde3_libdir/kde3/ktexteditor_kttsd.*
%_kde3_libdir/kde3/libkttsd*
%_kde3_libdir/kde3/libkttsjobmgrpart.*
%_kde3_libdir/libkttsd.so.*
%_kde3_libdir/libkttsd.la
%_kde3_libdir/libKTTSD_Lib.so.*
%_kde3_libdir/libKTTSD_Lib.la

#--------------------------------------------------------------------

%package -n	%{lib_name}-kttsd-devel
Group:		Development/KDE and Qt
Summary:	Header files for developing ktts
Requires:	%{lib_name}-kttsd = %epoch:%{version}-%{release}
Obsoletes:  %{lib_name_kttsd}-devel <= 0.3.0
Provides:   %{lib_name_kttsd}-devel >= %epoch:3.4.0

%description -n	%{lib_name}-kttsd-devel
Header files needed for developing ktts applications.

%files -n %lib_name-kttsd-devel
%defattr(-,root,root)
%_kde3_includedir/*.h
%_kde3_libdir/libkttsd.so
%_kde3_libdir/libKTTSD_Lib.so

#--------------------------------------------------------------------

%prep
%setup -q 

%build

export QTDIR=%_prefix/%_lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/%_lib:$KDEDIR/%_lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

%configure_kde3 \
	--with-akode \
	--without-gstreamer \
	--disable-embedded \
	--disable-palmtop \
	--disable-kttsd-gstreamer \
	--with-xinerama

%make

%install
rm -fr %buildroot
export PATH=%_kde3_bindir:$PATH

make install DESTDIR=%buildroot

# Vfolder directory
install -d %buildroot/%_kde3_datadir/applications/kde/
cp %buildroot/%_kde3_datadir/applnk/Applications/kmag.desktop %buildroot/%_kde3_datadir/applications/kde/kmag.desktop
cp %buildroot/%_kde3_datadir/applnk/Applications/kmousetool.desktop %buildroot/%_kde3_datadir/applications/kde/kmousetool.desktop
cp %buildroot/%_kde3_datadir/applnk/Applications/kmouth.desktop %buildroot/%_kde3_datadir/applications/kde/kmouth.desktop

%clean
rm -fr %buildroot


%changelog
* Fri Aug 29 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.10-1mdv2009.0
+ Revision: 277479
- Update for last kde3 updates

* Wed Jun 25 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.9-5mdv2009.0
+ Revision: 228960
- Fix Provides

* Thu Jun 12 2008 Funda Wang <fundawang@mandriva.org> 1:3.5.9-4mdv2009.0
+ Revision: 218493
- rebuild for new ldflag

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun Jun 01 2008 Funda Wang <fundawang@mandriva.org> 1:3.5.9-3mdv2009.0
+ Revision: 213980
- should provides kde3-kmag
- do not obsoletes kmag 4

* Thu May 08 2008 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.9-2mdv2009.0
+ Revision: 204594
- Fix macros
- Move to /opt

* Fri Feb 15 2008 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.9-1mdv2008.1
+ Revision: 169026
- Get away from branches. Last KDE 3 arriving !!
- Removed post-3.5.8 patches integrated

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Funda Wang <fundawang@mandriva.org>
    - fix duplicate mono dir

* Sat Dec 29 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.8-3mdv2008.1
+ Revision: 139064
- rebuild

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add usptream 3.5.9 branch patches
      	- Fix handling positions with Xinerama

* Wed Oct 24 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.8-1mdv2008.1
+ Revision: 101691
- Kde 3.5.8

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix summary-ended-with-dot

* Wed Sep 05 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-5mdv2008.0
+ Revision: 80183
- Disable old gstreamer

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.7-4mdv2008.0
+ Revision: 69377
- fix kmag desktop file also

* Thu Aug 23 2007 Funda Wang <fundawang@mandriva.org> 1:3.5.7-3mdv2008.0
+ Revision: 69365
- fix invalid kmouth desktop file

* Fri Aug 10 2007 Nicolas Lécureuil <neoclust@mandriva.org> 1:3.5.7-2mdv2008.0
+ Revision: 61653
- Fix menu categories and OnlyShowIn ( Bug #32470)

* Thu May 17 2007 Helio Chissini de Castro <helio@mandriva.com> 1:3.5.7-1mdv2008.0
+ Revision: 27530
- 3.5.7 release


* Thu Feb 01 2007 Laurent Montel <lmontel@mandriva.com> 3.5.6-1mdv2007.0
+ Revision: 115853
- 3.5.6

* Thu Oct 26 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.5-2mdv2007.1
+ Revision: 72732
- Rebuild
- 3.5.5

* Tue Aug 15 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-2mdv2007.0
+ Revision: 55897
- New package (2006/08/14 3.5.4-2mdv)
  Fix package upgrade

* Fri Aug 04 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.4-1mdv2007.0
+ Revision: 51654
- New package (2006/08/03 3.5.4-1mdv)

  + Helio Chissini de Castro <helio@mandriva.com>
    - Added official 3.5.4 tarball
    - Added option for enable/disable debug

* Mon Jul 24 2006 Laurent Montel <lmontel@mandriva.com> 1:3.5.3-6mdv2007.0
+ Revision: 41930
- Remove debug
- Use macro
- Fix build on mdk2006
- 3.5.3
- Rebuild to generate category
- 3.5.2
- 3.5.1
- Enable debug for cooker
  9.2 is obsolete now
- Fix spec file
- Increase version
- Add akode plugins
- Add akode plugins
- Fix use gstreamer
- Fix some requires
- Real 3.5.0
- use %%mkrel
- 3.5.0
- Fix typo
  * Wed Nov 02 2005 Laurent MONTEL <lmontel@mandriva.com> 3.3.5-3mdk
- Rebuild with new mysql
  * Thu Oct 27 2005 Helio Chissini de Castro <helio@mandriva.com> 3.3.5-2mdk
- New immodule patch
- Fix build on x86_64
- fix build on x86_64
- 3.4.92
- 3.4.2

  + Helio Chissini de Castro <helio@mandriva.com>
    - new-ldflags is inavlid on x86_64
    - Cleaned spec
    - Added tarball from kde branch as discussed on meeting in 28/06
    - Removed rpath and added configure macro invalidating libtoolize
    - We are Mandriva now
    - Uploading package ./kdeaccessibility

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

* Mon Apr 18 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-4mdk
- Fix typo (bug reported by Nicolas Chipaux)

* Wed Apr 13 2005 Laurent MONTEL <lmontel@mandriva.com> 3.4.0-3mdk
- Fix compile kttsd gstreamer plugins (Add missing buildrequires)

* Tue Apr 12 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-2mdk
- Use --enable-new-ldflags
- Reactivate debug
- Change email
- Fix menu
- Fix BuildRequires missing libgstreamer-devel (thanks Nicolas Chipaux)

* Tue Apr 05 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.4.0-1mdk
- 3.4.0

* Thu Feb 17 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-4mdk
- Sync with CVS (kmousetools fixes)

* Thu Feb 10 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-3mdk
- Disable debug

* Wed Dec 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-2mdk
- Fix menu

* Fri Dec 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.2-1mdk
- 3.3.2

* Thu Oct 28 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-4mdk
- bye-bye mdkversion

* Wed Oct 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-3mdk
- Fix spec file

* Wed Oct 13 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-2mdk
- Deprecated mdk < 9.2

* Sat Oct 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.1-1mdk
- 3.3.1

* Sat Sep 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.3.0-1mdk
- 3.3.0

* Sat Aug 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-6mdk
- Rebuild for new menu translation table

* Thu Aug 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-5mdk
- Fix spec file

* Tue Aug 10 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-4mdk
- Remove debug

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-3mdk
- Fix remove rpath

* Wed Jul 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-2mdk
- Rebuild

* Tue Jun 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.3-1mdk
- 3.2.3

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-2mdk
- Rebuild

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.2-1mdk
- 3.2.2

* Wed Apr 07 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-2mdk
- Fix spec file to using rpmbuildupdate

* Sat Apr 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2.1-1mdk
- 3.2.1

* Wed Mar 31 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Add mdkversion
- Use %%configure
- Add support for mdk 10.1

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Rebuild with good kdedesktop2mdkmenu.pl

* Mon Feb 09 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-3mdk
- Fix distint error
- Remove debug

* Wed Feb 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Fix menu entry

* Wed Feb 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

